RPMSIGN(8)

NUME
rpmsign - semnarea pachetelor RPM

SINOPSIS

  SEMNAREA PACHETELOR:
rpmsign --addsign|--resign [opțiuni-rpmsign] FIȘIER_PACHET...

rpmsign --delsign FIȘIER_PACHET ...

rpmsign --delfilesign FIȘIER_PACHET ...

  opțiuni-rpmsign
[--rpmv3] [--fskpath CHEIE] [--signfiles]

DESCRIERE
Ambele opțiuni --addsign și --resign generează și introduc noi semnături pentru fiecare pachet FIȘIER_PACHET dat, înlocuind orice semnături existente. Există două opțiuni din motive istorice, în prezent nu există nicio diferență de comportament.

Pentru a crea o semnătură, rpmsign trebuie să verifice suma de control a pachetului. Ca urmare, pachetele cu o sumă de control MD5/SHA1 nu pot fi semnate în modul FIPS.

rpmsign --delsign FIȘIER_PACHET ...

Șterge toate semnăturile din fiecare pachet FIȘIER_PACHET dat.

rpmsign --delfilesign FIȘIER_PACHET ...

Șterge toate semnăturile fișierelor IMA și fsverity din fiecare pachet FIȘIER_PACHET dat.

  OPȚIUNI DE SEMNARE

--rpmv3
    Forțează adăugarea semnăturii RPM V3 de antet+„încărcătura utilă”. Acestea sunt un bagaj costisitor și redundant pentru pachetele pentru care există o sumă de control pentru „încărcătura utilă” separată (pachete construite cu rpm >= 4.14). rpmsign va detecta automat necesitatea semnăturilor V3, dar această opțiune poate fi utilizată pentru a forța crearea acestora dacă pachetele trebuie să fie complet verificabile prin semnătură cu rpm < 4.14 sau din alte motive de interoperabilitate.

--fskpath CHEIE
    Folosită cu --signfiles, utilizează cheia de semnare a fișierelor CHEIE.

--certpath CERTIFICAT
    Folosită cu --signverity, utilizează certificatul de semnare a fișierelor CERTIFICAT.

--verityalgo ALGORITM
    Utilizată cu --signverity, pentru a specifica algoritmul de semnare. Sunt acceptate sha256 și sha512, sha256 fiind implicit dacă acest argument nu este specificat. Acesta poate fi specificat și cu macrocomanda %_verity_algorithm .

--signfiles
    Semnează fișierele pachetului. Macrocomanda %_binary_filedigest_algorithm trebuie să fie definită la un algoritm acceptat înainte de construirea pachetului. Algoritmii acceptați sunt SHA1, SHA256, SHA384 și SHA512, care sunt reprezentați ca 2, 8, 9 și, respectiv, 10. Cheia de semnare a fișierului (cheia privată RSA) trebuie stabilită înainte de semnarea pachetului; aceasta poate fi configurată în linia de comandă cu --fskpath sau macrocomanda %_file_signing_key .

--signverity
    Semnează fișierele pachetului cu semnături fsverity. Cheia de semnare a fișierului (cheie privată RSA) și certificatul de semnare trebuie să fie configurate înainte de semnarea pachetului. Cheia poate fi configurată în linia de comandă cu --fskpath sau macrocomanda %_file_signing_key, iar certificatul poate fi configurat în linia de comandă cu --certpath sau macrocomanda %_file_signing_cert.

  CONFIGURAREA CHEILOR DE SEMNARE
Pentru a semna pachete, trebuie să vă creați propria pereche de chei publice și secrete (consultați manualul GnuPG). În plus, rpm(8) trebuie să fie configurat pentru a găsi GnuPG și cheile corespunzătoare cu următoarele macrocomenzi:

%_gpg_name
    Numele «utilizatorului» a cărui cheie doriți să o utilizați pentru a semna pachetele dumneavoastră. De obicei, aceasta este singura configurație necesară.

%_gpg_path
    Locația inelului de chei GnuPG dacă nu este cea implicită $GNUPGHOME.

%__gpg
    Ruta executabilului GnuPG. În mod normal, pre-configurată.

De exemplu, pentru a putea utiliza GnuPG pentru a semna pachete ca utilizator "John Doe <jdoe@foo.com>" din inelele de chei localizate în /etc/rpm/.gpg utilizând executabilul /opt/bin/gpg, veți include:

        %_gpg_path /etc/rpm/.gpg
        %_gpg_name John Doe <jdoe@foo.com>
        %__gpg /opt/bin/gpg

într-un fișier de configurare macro, de obicei ~/.config/rpm/macros. Consultați Configurația macro în rpm(8) pentru mai multe detalii.

CONSULTAȚI ȘI
popt(3), rpm(8), rpmdb(8), rpmkeys(8), rpm2cpio(8), rpmbuild(8), rpmspec(8)

rpmsign --help - deoarece rpm acceptă personalizarea opțiunilor prin intermediul numelor-alias popt, este imposibil să garantăm că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTORI

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>
        Panu Matilainen <pmatilai@redhat.com>
        Fionnuala Gunter <fin@linux.vnet.ibm.com>
        Jes Sorensen <jsorensen@fb.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.